Bug 45500 - Anaconda fails if you have an extended partition with no local volumes
Anaconda fails if you have an extended partition with no local volumes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-22 07:10 EDT by Vidar Langseid
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-25 18:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidar Langseid 2001-06-22 07:10:54 EDT
Description of Problem:

Sometimes you may want to partition the disk more after the installation
is done. If you create an extended partition under the installation, but
do not create a logical volume, you are in trouble. Anaconda aborts the
installation and you have to reboot.

Next time you boot up anaconda it stops BEFORE you are asked if you want to
partition the disk with fdisk or disk druid.

In order to fix it you have to press [Ctrl] + [Alt] + [F2] and start fdisk
manually

How Reproducible:Always


Steps to Reproduce:
1. Create boot part = 50Mb, hda1
2. Create swap =256Mb, hda2
3. Create root part = 4000Mb, hda3
4. Create a extended part, hda4
5. Do NOT create any logical volumes

Actual Results:
Anaconda shows an error message :
"An error occured reading the partition table  for the block
device hda. The Error was:

Logical partition of type 0 detected

..."

Expected Results:
The installation should continue, or at last give you a chance to fix it.

Additional Information:
Comment 1 Brent Fox 2001-06-25 18:19:07 EDT
All the existing partitioning code is being replaced, so this issue should not
appear in future releases.

Note You need to log in before you can comment on or make changes to this bug.